openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/POWL_QUERY_REFRESH:
    post:
      tags:
      - POWL_FUGR
      summary: POWL single query refresher (for async call)
      operationId: /rfc/POWL_QUERY_REFRESH
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_FEEDER_NAME:
                  type: string
                  maxLength: 30
                  description: Name of corresponding Feeder (for performance)
                I_IGNORE_EDIT_LOCK:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: 'Flag: Ignore existing edit lock upon query'
                I_LANGU:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: Language Key
                I_NO_REFRESH_LOCK:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: 'Flag: set no own refresh lock (if caller has already set it)'
                I_QUERY_DATA:
                  type: object
                  properties:
                    MANDT:
                      type: string
                      maxLength: 3
                      description: Client
                    QUERY:
                      type: string
                      maxLength: 32
                      description: Query ID
                    TYPE:
                      type: string
                      maxLength: 30
                      description: POWL type ID
                    MASTERQUERY:
                      type: string
                      maxLength: 32
                      description: Query ID
                    ADMIN:
                      type: string
                      maxLength: 1
                      description: 'Admin flag  enumValues: ""=No,X=Yes'
                      enum:
                      - ''
                      - X
                    CREATOR:
                      type: string
                      maxLength: 12
                      description: User name
                    SYNC:
                      type: string
                      maxLength: 1
                      description: 'Enforce synchronous query refreshes  enumValues: X=set,""=unset'
                      enum:
                      - X
                      - ''
                    TEMP_QUERY:
                      type: string
                      maxLength: 1
                      description: 'Temporary query flag  enumValues: X=set,""=unset'
                      enum:
                      - X
                      - ''
                    CGUID:
                      type: string
                      maxLength: 22
                      description: Guid
                    DEFAULT_VIEW:
                      type: string
                      maxLength: 6
                      description: Default ALV Layout View
                    APPLID:
                      type: string
                      maxLength: 30
                      description: Application ID
                    USERNAME:
                      type: string
                      maxLength: 12
                      description: User name
                    RESULT_COUNT:
                      type: integer
                      format: int32
                      description: entry counter
                    REFRESH_DATE:
                      type: string
                      format: date
                      description: Refresh date
                    REFRESH_TIME:
                      type: string
                      maxLength: 6
                      description: Refresh time
                    REFRESH_TZONE:
                      type: string
                      maxLength: 6
                      description: Refresh time zone
                    ESTTIME:
                      type: integer
                      format: int32
                      description: Estimated execution time
                    CATEGORY:
                      type: string
                      maxLength: 32
                      description: Category
                    CAT_SEQUENCE:
                      type: integer
                      format: int32
                      description: sequence number for POWL query category
                    CAT_QUERY_SEQ:
                      type: integer
                      format: int32
                      description: sequence number for a query
                    TABS_QUERY_SEQ:
                      type: integer
                      format: int32
                      description: sequence number for a query tabstrip
                    LAYOUT:
                      type: string
                      maxLength: 30
                      description: Layout variant for WD ALV
                    ACTIVE:
                      type: string
                      maxLength: 1
                      description: 'Activation  enumValues: ""=No,X=Yes'
                      enum:
                      - ''
                      - X
                    RESULT_CACHE_ID:
                      type: string
                      maxLength: 32
                      description: GUID in 'CHAR' Format in Uppercase
                    DESCRIPTION:
                      type: string
                      maxLength: 50
                      description: Query description
                    SPRAS:
                      type: string
                      maxLength: 1
                      description: Language Key of Current Text Environment
                I_RESET_ESTTIME:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: reset query refresh estimation time
              required:
              - I_QUERY_DATA
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
